//
// © 2018-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import Foundation

enum BluetoothNotificationReason {
    case deviceDiscovered
    case scanStateChanged
    case adapterStateChanged
    case discoverabilityChanged
    case deviceConnected
    case deviceDisconnected
    case pairedDevicesChanged
}

struct BluetoothNotification: PlayerControllerNotification {
    static var name = Notification.Name.BluetoothStateDidChangeNotification
    var sender: PlayerControllerProtocol
    var device: IoTDevice
    var reason: BluetoothNotificationReason
    var payload: Any?
}
